# timehelper.h File Reference

`#include <log4cplus/config.h>`
`#include <log4cplus/tstring.h>`
`#include <time.h>`

Include dependency graph for timehelper.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Functions

LOG4CPLUS_EXPORT const log4cplus::helpers::Time | operator+ (const log4cplus::helpers::Time &lhs, const log4cplus::helpers::Time &rhs)
LOG4CPLUS_EXPORT const log4cplus::helpers::Time | operator- (const log4cplus::helpers::Time &lhs, const log4cplus::helpers::Time &rhs)
LOG4CPLUS_EXPORT const log4cplus::helpers::Time | operator/ (const log4cplus::helpers::Time &lhs, long rhs)
LOG4CPLUS_EXPORT const log4cplus::helpers::Time | operator * (const log4cplus::helpers::Time &lhs, long rhs)
LOG4CPLUS_EXPORT bool | operator< (const log4cplus::helpers::Time &lhs, const log4cplus::helpers::Time &rhs)
LOG4CPLUS_EXPORT bool | operator<= (const log4cplus::helpers::Time &lhs, const log4cplus::helpers::Time &rhs)
LOG4CPLUS_EXPORT bool | operator> (const log4cplus::helpers::Time &lhs, const log4cplus::helpers::Time &rhs)
LOG4CPLUS_EXPORT bool | operator>= (const log4cplus::helpers::Time &lhs, const log4cplus::helpers::Time &rhs)
LOG4CPLUS_EXPORT bool | operator== (const log4cplus::helpers::Time &lhs, const log4cplus::helpers::Time &rhs)
LOG4CPLUS_EXPORT bool | operator!= (const log4cplus::helpers::Time &lhs, const log4cplus::helpers::Time &rhs)

## Detailed Description

Definition in file timehelper.h.

## Function Documentation

LOG4CPLUS_EXPORT const log4cplus::helpers::Time operator * | ( | const log4cplus::helpers::Time & | lhs,
|  | long | rhs
| ) |

LOG4CPLUS_EXPORT bool operator!= | ( | const log4cplus::helpers::Time & | lhs,
|  | const log4cplus::helpers::Time & | rhs
| ) |

LOG4CPLUS_EXPORT const log4cplus::helpers::Time operator+ | ( | const log4cplus::helpers::Time & | lhs,
|  | const log4cplus::helpers::Time & | rhs
| ) |

LOG4CPLUS_EXPORT const log4cplus::helpers::Time operator- | ( | const log4cplus::helpers::Time & | lhs,
|  | const log4cplus::helpers::Time & | rhs
| ) |

LOG4CPLUS_EXPORT const log4cplus::helpers::Time operator/ | ( | const log4cplus::helpers::Time & | lhs,
|  | long | rhs
| ) |

LOG4CPLUS_EXPORT bool operator< | ( | const log4cplus::helpers::Time & | lhs,
|  | const log4cplus::helpers::Time & | rhs
| ) |

LOG4CPLUS_EXPORT bool operator<= | ( | const log4cplus::helpers::Time & | lhs,
|  | const log4cplus::helpers::Time & | rhs
| ) |

LOG4CPLUS_EXPORT bool operator== | ( | const log4cplus::helpers::Time & | lhs,
|  | const log4cplus::helpers::Time & | rhs
| ) |

LOG4CPLUS_EXPORT bool operator> | ( | const log4cplus::helpers::Time & | lhs,
|  | const log4cplus::helpers::Time & | rhs
| ) |

LOG4CPLUS_EXPORT bool operator>= | ( | const log4cplus::helpers::Time & | lhs,
|  | const log4cplus::helpers::Time & | rhs
| ) |